Bug 770887 - raw-thumbnailer should create /usr/share/thumbnailers/raw.thumbnailer
Summary: raw-thumbnailer should create /usr/share/thumbnailers/raw.thumbnailer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: raw-thumbnailer
Version: 16
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Julian Sikorski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 861790
Blocks: 855608
TreeView+ depends on / blocked
 
Reported: 2011-12-30 00:28 UTC by christian.kirbach@googlemail.com
Modified: 2012-12-20 15:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-20 15:42:40 UTC
Type: ---


Attachments (Terms of Use)
Diff against master (2.81 KB, patch)
2012-09-30 19:18 UTC, Julian Sikorski
no flags Details | Diff

Description christian.kirbach@googlemail.com 2011-12-30 00:28:24 UTC
Description of problem:
Installing raw-thumbnailer does not actually lead to nautilus showing thumbnails for RAW images, as the package description claims.
The package does not create /usr/share/thumbnailers/raw.thumbnailer
which is referenced by nautilus 3 for creating thumbnails.

Version-Release number of selected component (if applicable):
Version    : 0.99.1
Ausgabe    : 6.fc15


How reproducible:
install raw-thumbnailer

  
Actual results:
No RAW image thumbnails

Expected results:

raw.thumbnailer contents:


[Thumbnailer Entry]
TryExec=/usr/bin/raw-thumbnailer
Exec=/usr/bin/raw-thumbnailer -s %s %u %o
MimeType=image/x-3fr;image/x-adobe-dng;image/x-arw;image/x-bay;image/x-canon-cr2;image/x-canon-crw;image/x-cap;image/x-cr2;image/x-crw;image/x-dcr;image/x-dcraw;image/x-dcs;image/x-dng;image/x-drf;image/x-eip;image/x-erf;image/x-fff;image/x-fuji-raf;image/x-iiq;image/x-k25;image/x-kdc;image/x-mef;image/x-minolta-mrw;image/x-mos;image/x-mrw;image/x-nef;image/x-nikon-nef;image/x-nrw;image/x-olympus-orf;image/x-orf;image/x-panasonic-raw;image/x-pef;image/x-pentax-pef;image/x-ptx;image/x-pxn;image/x-r3d;image/x-raf;image/x-raw;image/x-rw2;image/x-rwl;image/x-rwz;image/x-sigma-x3f;image/x-sony-arw;image/x-sony-sr2;image/x-sony-srf;image/x-sr2;image/x-srf;image/x-x3f;

Comment 1 Julian Sikorski 2012-09-30 19:18:25 UTC
Created attachment 619493 [details]
Diff against master

3.0.0 version provides the needed file and functions correctly. Please apply and build for the supported branches.

Comment 2 Julian Sikorski 2012-10-08 17:01:33 UTC
Ping? Victor, are you still around to take care of this?

Comment 3 Fedora Admin XMLRPC Client 2012-10-29 18:57:20 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Update System 2012-10-29 19:50:00 UTC
raw-thumbnailer-3.0.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/raw-thumbnailer-3.0.0-1.fc18

Comment 5 Fedora Update System 2012-10-29 19:50:49 UTC
raw-thumbnailer-3.0.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/raw-thumbnailer-3.0.0-1.fc17

Comment 6 Fedora Update System 2012-10-30 03:47:57 UTC
Package raw-thumbnailer-3.0.0-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing raw-thumbnailer-3.0.0-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17196/raw-thumbnailer-3.0.0-1.fc17
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-11-01 20:25:38 UTC
raw-thumbnailer-3.0.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/raw-thumbnailer-3.0.0-1.fc16

Comment 8 Fedora Update System 2012-12-20 15:42:47 UTC
raw-thumbnailer-3.0.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.